
Ruby - Bug #7655

range interval test does not consider string length

01/06/2013 06:11 AM - matecsaj (John Matecsa)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.5: UNKNOWN, 2.6: UNKNOWN

Description

('aaaaaa'..'zzzzzz') === 'count'  #is count a 6 letter word?

=> true

 

IMHO the result should be false

ran code in irb

History

#1 - 07/15/2019 02:19 PM - jeremyevans0 (Jeremy Evans)

- Tracker changed from Bug to Backport

- Project changed from 2 to 11

- Target version deleted (Ruby 1.8.7)

- ruby -v deleted (ruby 1.8.7 (2012-02-08 patchlevel 358) [universal-darwin12.0])

#2 - 08/27/2019 04:26 PM - jeremyevans0 (Jeremy Evans)

- Tracker changed from Backport to Bug

- Project changed from 11 to Ruby

- Status changed from Open to Rejected

- Backport set to 2.5: UNKNOWN, 2.6: UNKNOWN
